Bug 438 - Calibre start error
: Calibre start error
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 19:54 MSD by Vladimir Potapov
Modified: 2012-10-24 15:37 MSD (History)
7 users (show)

See Also:
RPM Package: python
ISO-related:
Bad POT generating:
Upstream:
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2012-06-24 19:54:01 MSD
Description of problem:

keleg@keleg-host Книги]$ calibre
/usr/bin/env: python2: Нет такого файла или каталога

[eng]
keleg@keleg-host Книги]$ calibre
/usr/bin/env: python2: file not found
Comment 1 Dmitry Mikhirev 2012-06-27 12:53:28 MSD
Calibre is in contrib repo, so this report should be in "Contributed Packages" section. Anyway I'll take a look at this issue.
Comment 2 Pavel Shved 2012-06-27 13:06:34 MSD
Dmitry, can you change the component to "Contributed" in the dropdown box at the top?  Or, do you not have enough permissions?
Comment 3 Dmitry Mikhirev 2012-06-27 13:13:21 MSD
(In reply to comment #2)
> Dmitry, can you change the component to "Contributed" in the dropdown box at
> the top?  Or, do you not have enough permissions?

Sorry, I've missed this...
Comment 4 Vladimir Potapov 2012-06-27 13:42:20 MSD
This error is easily corrected by adding symlink python2-> python2.7 
A similar bug I'm having with other packages. May be fix it in pyton package?
Python is already standing in line for an update. 
http://bugs.rosalinux.ru/show_bug.cgi?id=444
You can add to it and fix this error?
Comment 5 Dmitry Mikhirev 2012-06-27 13:59:40 MSD
(In reply to comment #4)
> This error is easily corrected by adding symlink python2-> python2.7 
> A similar bug I'm having with other packages. May be fix it in pyton package?
> Python is already standing in line for an update. 
> http://bugs.rosalinux.ru/show_bug.cgi?id=444
> You can add to it and fix this error?

Yes, I'll add this link. It is already present in Mandriva cooker as I see.
Comment 6 Dmitry Mikhirev 2012-06-27 18:15:09 MSD
Buildlists:
i586:
https://abf.rosalinux.ru/build_lists/619883
x86_64:
https://abf.rosalinux.ru/build_lists/619884

Advisory:
Some programs, e.g. Calibre, requires python2 executable for proper operation. Symbolic link python2 pointing to python2.7 was added to fix running such programs.
Comment 7 Vladimir Potapov 2012-06-27 18:21:45 MSD
This fix include #444 patсhes?
Comment 8 Dmitry Mikhirev 2012-06-27 18:54:37 MSD
(In reply to comment #7)
> This fix include #444 patсhes?

Yes. (You can check git log if unsure.)
Comment 9 Dmitry Romashkin 2012-06-28 08:48:34 MSD
With #444 it should be like this.

Advisory: 
Description:
Some programs, e.g. Calibre, requires python2 executable for proper operation. Symbolic link python2 pointing to python2.7 was added to fix running such programs.

Security fixes for CVE-2011-3389, CVE-2011-4944, CVE-2012-1150, CVE-2012-0845, CVE-2012-0876

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3389
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0845
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-4944
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1150

buildlists:
i586
https://abf.rosalinux.ru/build_lists/619883
x86_64
https://abf.rosalinux.ru/build_lists/619884
Comment 10 Postnikov Dmitry 2012-06-29 01:13:24 MSD
I Calibre works fine! All with no problems, except for the translation. 

But another tester not run. Here is the output from the console.
===================
Вот вывод из консоли:

[root@localhost maks]# calibre
Traceback (most recent call last):
  File "/usr/bin/calibre", line 18, in <module>
    from calibre.gui2.main import main
  File "/usr/lib64/calibre/calibre/gui2/main.py", line 19, in <module>
    from calibre.library.database2 import LibraryDatabase2
  File "/usr/lib64/calibre/calibre/library/database2.py", line 31, in <module>
    from calibre.customize.ui import run_plugins_on_import
  File "/usr/lib64/calibre/calibre/customize/ui.py", line 15, in <module>
    from calibre.customize.builtins import plugins as builtin_plugins
  File "/usr/lib64/calibre/calibre/customize/builtins.py", line 552, in <module>
    from calibre.ebooks.odt.input import ODTInput
  File "/usr/lib64/calibre/calibre/ebooks/odt/input.py", line 10, in <module>
    from odf.odf2xhtml import ODF2XHTML
  File "/usr/lib/python2.7/site-packages/odf/odf2xhtml.py", line 24, in <module>
    from xml.sax import handler, expatreader
  File "/usr/lib64/python2.7/xml/sax/expatreader.py", line 24, in <module>
    raise SAXReaderNotAvailable("expat not supported", None)
xml.sax._exceptions.SAXReaderNotAvailable: expat not supported 
======================
Comment 11 Dmitry Mikhirev 2012-06-29 11:29:27 MSD
(In reply to comment #10)
> I Calibre works fine! All with no problems, except for the translation. 
> 
> But another tester not run. Here is the output from the console.

Please create a separate report for this issue and describe steps to reprodce it.
Comment 12 Denis Silakov 2012-10-24 15:37:43 MSD
Calibre seems to work fine now in 64bit systems; probably other updates have fixed the issue mentioned in comment #10.

Initial subject of this bug was fixed quite long ago, so I am closing it. Feel free to open new bugs if you find any other issues.